PATCH
https://api.hyperleapai.com/prompt-runs/{promptRunId}/set-scoreUpdate the score parameters for a Prompt run based on User feedback.
Authenticated with your API key in the x-hl-api-key request header.
Path parameters
promptRunIdstring · uuidrequiredRequest body
application/jsonfeedbackIdstring · uuidscoreinteger · int32commentsstringnullabletagsstring[]nullablescoreConfidencenumber · doublenullableResponses
200OK
No response body.
curl -X PATCH "https://api.hyperleapai.com/prompt-runs/{promptRunId}/set-score" \
-H "x-hl-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"feedbackId": "string",
"score": 0,
"comments": "string",
"tags": [
"string"
],
"scoreConfidence": 0
}'curl -X PATCH "https://api.hyperleapai.com/prompt-runs/{promptRunId}/set-score" \
-H "x-hl-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"feedbackId": "string",
"score": 0,
"comments": "string",
"tags": [
"string"
],
"scoreConfidence": 0
}'